Remover endpoint de webhook
curl --request DELETE \
--url https://sandbox.4seletpay.com.br/api/v1/webhook-endpoints/{id} \
--header 'Authorization: Bearer <token>' \
--header 'account: <account>'import requests
url = "https://sandbox.4seletpay.com.br/api/v1/webhook-endpoints/{id}"
headers = {
"account": "<account>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {account: '<account>', Authorization: 'Bearer <token>'}
};
fetch('https://sandbox.4seletpay.com.br/api/v1/webhook-endpoints/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mensagem": "Webhook deletado com sucesso",
"erro": false,
"mensagenserro": [],
"codigoretorno": 200,
"id": "00000000-0000-0000-0000-000000000000",
"data": []
}{
"mensagem": "Unauthenticated.",
"erro": true,
"mensagenserro": [],
"codigoretorno": 401,
"id": "00000000-0000-0000-0000-000000000000",
"data": []
}{
"mensagem": "The charge code does not match any charge",
"erro": true,
"mensagenserro": [],
"codigoretorno": 404,
"id": "00000000-0000-0000-0000-000000000000",
"data": []
}{
"mensagem": "Um erro aconteceu.",
"erro": true,
"mensagenserro": [
"Erro interno. Tente novamente mais tarde."
],
"codigoretorno": 500,
"id": "00000000-0000-0000-0000-000000000000",
"data": []
}Webhooks
Remover Endpoint
Remove permanentemente um endpoint de webhook. O webhook deve pertencer à conta informada no header account. Requer autenticação Bearer.
DELETE
/
v1
/
webhook-endpoints
/
{id}
Remover endpoint de webhook
Requer o header
account com o código da conta. O webhook deve pertencer à conta autenticada.Esta operação é irreversível. O endpoint será removido permanentemente e não receberá mais notificações de eventos.
Authorizations
Token JWT obtido via POST /v1/login. Envie no header Authorization: Bearer <token>.
Headers
Código da conta à qual a operação se aplica
Example:
"acc_abc123xyz"
Path Parameters
ID do webhook a ser removido
Example:
42
Response
Webhook deletado com sucesso
⌘I
